mbed_host_tests.host_tests_plugins.module_copy_stlink.HostTestPluginCopyMethod_Stlink Class Reference
Inheritance diagram for mbed_host_tests.host_tests_plugins.module_copy_stlink.HostTestPluginCopyMethod_Stlink:

## Public Member Functions

| __init__ (self)
| is_os_supported (self, os_name=None)
| In this implementation this plugin only is supporeted under Windows machines.
| setup (self, *args, **kwargs)
| Configure plugin, this function should be called before plugin execute() method is used.
| execute (self, capability, *args, **kwargs)
| Executes capability by name.
Public Member Functions inherited from mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase
| print_plugin_error (self, text)
| Interface helper methods - overload only if you need to have custom behaviour.
| print_plugin_info (self, text, NL=True)
| Function prints notification in console and exits always with True.
| print_plugin_char (self, char)
| check_mount_point_ready (self, destination_disk, init_delay=0.2, loop_delay=0.25, target_id=None, timeout=60)
| Waits until destination_disk is ready and can be accessed by e.g.
| check_serial_port_ready (self, serial_port, target_id=None, timeout=60)
| Function checks (using mbed-ls) and updates serial port name information for DUT with specified target_id.
| check_parameters (self, capability, *args, **kwargs)
| This function should be ran each time we call execute() to check if none of the required parameters is missing.
| run_command (self, cmd, shell=True)
| Runs command from command line.
| mbed_os_info (self)
| Returns information about host OS.
| mbed_os_support (self)
| Function used to determine host OS.

## Public Attributes

| ST_LINK_CLI
Public Attributes inherited from mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase
| plugin_logger

## Static Public Attributes

str | name = 'HostTestPluginCopyMethod_Stlink'
str | type = 'CopyMethod'
list | capabilities = ['stlink']
list | required_parameters = ['image_path']
Static Public Attributes inherited from mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase
str | name = "HostTestPluginBase"
| Interface:
str | type = "BasePlugin"
list | capabilities = []
list | required_parameters = []
bool | stable = False

## Detailed Description

Definition at line 24 of file module_copy_stlink.py.

## Constructor & Destructor Documentation

## __init__()

mbed_host_tests.host_tests_plugins.module_copy_stlink.HostTestPluginCopyMethod_Stlink.__init__ | ( |  | self | ) |

     ctor

Reimplemented from mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase.

Definition at line 32 of file module_copy_stlink.py.

## Member Function Documentation

## execute()

mbed_host_tests.host_tests_plugins.module_copy_stlink.HostTestPluginCopyMethod_Stlink.execute | ( |  | self,
|  |  | capability,
|  | * | args,
|  | ** | kwargs
| ) |  |

Executes capability by name.

Parameters

  capability | Capability name
  args | Additional arguments
  kwargs | Additional arguments

Each capability e.g. may directly just call some command line program or execute building pythonic function

Returns
  Capability call return value

Reimplemented from mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase.

Definition at line 55 of file module_copy_stlink.py.

## is_os_supported()

mbed_host_tests.host_tests_plugins.module_copy_stlink.HostTestPluginCopyMethod_Stlink.is_os_supported | ( |  | self,
|  |  | os_name = `None`
| ) |  |

In this implementation this plugin only is supporeted under Windows machines.

Reimplemented from mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase.

Definition at line 37 of file module_copy_stlink.py.

## setup()

mbed_host_tests.host_tests_plugins.module_copy_stlink.HostTestPluginCopyMethod_Stlink.setup | ( |  | self,
|  | * | args,
|  | ** | kwargs
| ) |  |

Configure plugin, this function should be called before plugin execute() method is used.

Reimplemented from mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase.

Definition at line 49 of file module_copy_stlink.py.

## Member Data Documentation

## capabilities

list mbed_host_tests.host_tests_plugins.module_copy_stlink.HostTestPluginCopyMethod_Stlink.capabilities = ['stlink']

static

Definition at line 29 of file module_copy_stlink.py.

## name

str mbed_host_tests.host_tests_plugins.module_copy_stlink.HostTestPluginCopyMethod_Stlink.name = 'HostTestPluginCopyMethod_Stlink'

static

Definition at line 27 of file module_copy_stlink.py.

## required_parameters

list mbed_host_tests.host_tests_plugins.module_copy_stlink.HostTestPluginCopyMethod_Stlink.required_parameters = ['image_path']

static

Definition at line 30 of file module_copy_stlink.py.

## ST_LINK_CLI

mbed_host_tests.host_tests_plugins.module_copy_stlink.HostTestPluginCopyMethod_Stlink.ST_LINK_CLI

Definition at line 52 of file module_copy_stlink.py.

## type

str mbed_host_tests.host_tests_plugins.module_copy_stlink.HostTestPluginCopyMethod_Stlink.type = 'CopyMethod'

static

Definition at line 28 of file module_copy_stlink.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests_plugins/module_copy_stlink.py